# This file created by conda-build 2.1.10
# meta.yaml template originally from:
# /recipe_root, last modified Wed Jun  7 19:12:14 2017
# ------------------------------------------------

package:
    name: pyqt
    version: 5.6.0
source:
    fn: PyQt5_gpl-5.6.tar.gz
    sha1: 8920e4094470ff93f79e257c37c46f5cd0bff7ab
    url: http://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-5.6/PyQt5_gpl-5.6.tar.gz
build:
    noarch: ''
    noarch_python: false
    number: '4'
    string: py35_4
requirements:
    build:
        - icu 58.1 1
        - openssl 1.0.2k 0
        - libpng 1.6.28 0
        - zlib 1.2.11 0
        - jpeg 9b 0
        - qt 5.6.2 3
        - ca-certificates 2017.4.17 0
        - libiconv 1.14 4
        - sqlite 3.13.0 1
        - xorg-libxdmcp 1.1.2 3
        - freetype 2.7 1
        - libffi 3.2.1 3
        - python 3.5.3 3
        - xorg-libxau 1.0.8 3
        - readline 6.2 0
        - libxcb 1.12 1
        - ncurses 5.9 10
        - gstreamer 1.8.0 2
        - glib 2.51.4 0
        - dbus 1.10.10 3
        - sip 4.18 py35_1
        - tk 8.5.19 1
        - libxml2 2.9.4 4
        - gst-plugins-base 1.8.0 0
        - gettext 0.19.7 1
        - xz 5.2.2 0
        - fontconfig 2.12.1 4
        - pcre 8.39 0
        - expat 2.1.0 2
    run:
        - python
        - qt 5.6.*
        - sip 4.18
test:
    commands:
        - DISPLAY=localhost:1.0 xvfb-run -a bash -c 'python pyqt_test.py'
        - conda inspect linkages -p $PREFIX pyqt
    files:
        - pyqt_test.py
    imports:
        - PyQt5.QtCore
        - PyQt5.QtWebKitWidgets
about:
    description: '"PyQt is a set of Python v2 and v3 bindings for The Qt Company''s
        Qt

        application framework and runs on all platforms supported by Qt including

        Windows, MacOS/X and Linux. PyQt5 supports Qt v5. PyQt4 supports Qt v4 and

        will build against Qt v5. The bindings are implemented as a set of Python

        modules and contain over 1,000 classes."

        '
    dev_url: https://github.com/pyqt
    doc_url: https://www.riverbankcomputing.com/software/pyqt/
    home: http://www.riverbankcomputing.co.uk/software/pyqt
    license: Commercial, GPL-2.0, GPL-3.0
    license_family: GPL
    license_file: LICENSE
    summary: Python binding of the cross-platform GUI toolkit Qt.
extra:
    final: true
    recipe-maintainers:
        - ccordoba12
        - mingwandroid
        - gillins
        - msarahan
        - ocefpaf
